package com.cusc.nirvana.user.rnr.openapi.config;

import com.cusc.nirvana.user.rnr.openapi.interceptor.AuthInterceptor;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.boot.web.servlet.FilterRegistrationBean;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.core.Ordered;
import org.springframework.web.servlet.config.annotation.InterceptorRegistration;
import org.springframework.web.servlet.config.annotation.InterceptorRegistry;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurer;

import java.util.List;

/**
 * Description: 拦截器配置
 * 0. 请求的URL是否在白名单中，如果是，直接放行，不做处理。
 * <br />
 * CreateDate 2022-05-06 14:24
 *
 * @author caow
 **/
@Configuration
public class InterceptorConfig implements WebMvcConfigurer {

    @Value("#{'${auth.whiteList}'.split(',')}")
    private List<String> whiteList;

    @Bean
    public AuthInterceptor authInterceptor() {
        return new AuthInterceptor();
    }

    @Override
    public void addInterceptors(InterceptorRegistry registry) {
        InterceptorRegistration ir;
        ir = registry.addInterceptor(authInterceptor()).addPathPatterns("/**");
        ir.excludePathPatterns(whiteList)
                .excludePathPatterns("/swagger-resources/**", "/webjars/**", "/v2/**", "/swagger-ui.html/**");
    }
}
