package com.cusc.nirvana.user.rnr.openapi.dto.response;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * 实名卡信息(MgRnrCardInfo)传输对象类
 *
 * @author yuy336
 * @since 2022-03-04 11:06:36
 */
@ApiModel(value = "实名卡信息", description = "实名卡信息")
@Data
public class RnAuthInfoRsp extends OpenApiBaseRsp {

    private static final long serialVersionUID = -77640748451387414L;

    @ApiModelProperty(value = "实名业务主键")
    private String rnrId;


    @ApiModelProperty(value = "老的业务id，换人之前的cardid")
    private String oldCardId;

    @ApiModelProperty(value = "卡号")
//    @NotBlank(groups = SaveRelation.class, message = "卡号不能为空")
    private String iccid;

    @ApiModelProperty(value = "物联网设备id")
//    @NotBlank(groups = SaveRelation.class, message = "物联网设备id不能为空")
    private String iotId;

    @ApiModelProperty(value = "实名状态 0 未实名  1 已实名 2 实名失败 3 已解绑")
//    @NotNull(groups = SaveRelation.class, message = "实名状态不能为空")
    private String rnrStatus;


    @ApiModelProperty(value = "语言版本")
    private Long lang;

    @ApiModelProperty(value = "备注信息")
    private Long comment;


    @ApiModelProperty(value = "iccid集合")
    private List<String> iccidList;

    @ApiModelProperty(value = "姓名(自然人姓名或企业责任人姓名)")
    private String fullName;

    @ApiModelProperty(value = "证件类型")
    private String certType;

    @ApiModelProperty(value = "证件号码")
    private String certNumber;

    @ApiModelProperty(value = "手机号码")
    private String phone;

    @ApiModelProperty(value = "是否是企业")
    private String isCompany;

    @ApiModelProperty(value = "公司名称")
    private String companyName;
}

