package com.cusc.nirvana.user.rnr.openapi.service;

import com.cusc.nirvana.common.result.Response;
import com.cusc.nirvana.user.rnr.fp.dto.VerifyVinCardResponseDTO;
import com.cusc.nirvana.user.rnr.fp.dto.VinCardDTO;
import com.cusc.nirvana.user.rnr.mg.dto.MgRnrCardInfoDTO;
import com.cusc.nirvana.user.rnr.openapi.dto.*;

import java.util.List;

/**
 * 车卡服务接口
 *
 * @author yubo
 * @since 2022-04-18 09:15
 */
public interface IVehicleCardService {

    /**
     * 车卡关系和卡校验
     *
     * @param vinCardListDTO
     * @return
     */
    Response<VerifyVinCardResponseDTO> verifyVinCard(VinCardInfoDTO vinCardListDTO);

    /**
     * 批量车卡关系和卡校验
     *
     * @param verifyDTOs
     * @return
     */
    Response<VerifyVinCardResponseDTO> verifyVinCardBatch(List<VinCardDTO> verifyDTOs);


    Response<List<MgRnrCardInfoDTO>> getBindsByVinsAndIccids(List<String> vins, List<String> iccids);

}
