package com.cusc.nirvana.user.rnr.openapi.util;

import com.cusc.nirvana.user.rnr.openapi.constants.AuthConstant;
import org.springframework.beans.factory.annotation.Value;

/**
 * Description: 用户信息获取service
 * <br />
 * CreateDate 2021-11-08 9:41
 *
 * @author yuyi
 **/
public class UserSubjectUtil {

    /**
     * Description: 获取用户id
     * <br />
     * CreateDate 2021-11-08 10:32:53
     *
     * @author yuyi
     **/
    public static String getUserId() {
        Object ret = ThreadLocalUtil.getCache(AuthConstant.USER_ID_NAME);
        if (ret != null) {
            return String.valueOf(ret);
        }
        return "OPENAPI";
    }


    /**
     * Description: 获取组织id
     * <br />
     * CreateDate 2021-11-08 10:32:53
     *
     * @author yuyi
     **/
    public static String geOrgId() {
        Object ret = ThreadLocalUtil.getCache(AuthConstant.BODY_ORG_ID);
        if (ret != null) {
            return String.valueOf(ret);
        }
        return null;
    }

    /**
     * Description: 获取当前用户所在的租户
     * <br />
     * CreateDate 2021-11-08 10:32:53
     *
     * @author yuyi
     **/
    public static String getTenantNo() {
        Object ret = ThreadLocalUtil.getCache(AuthConstant.TENANT_NO_NAME);
        if (ret != null) {
            return String.valueOf(ret);
        }
        return null;
    }
}
